package nl.amis.als.model;

import java.util.ArrayList;
import java.util.List;

import nl.amis.adffaces.tree.SpecialTreeModel;
import nl.amis.adffaces.tree.TreeNode;

import oracle.adf.view.faces.model.TreeModel;


public class LibraryTreeModelManager {
    private TreeModel libraryTreeModel;
    
    public LibraryTreeModelManager () {

        TreeNode library = new TreeNode("Library", "folder");

        TreeNode ben = new TreeNode("Ben Elton", "author");
        TreeNode book = new TreeNode("Post Mortem", "book");
        ben.getChildren().add(book);
        book = new TreeNode("Blast from the Past", "book");
        ben.getChildren().add(book);
        book = new TreeNode("Stark", "book");
        ben.getChildren().add(book);

        TreeNode rod = new TreeNode("Rod Johnson", "author");
        book = new TreeNode("J2EE Design and Development", "book");
        rod.getChildren().add(book);
        book =
            new TreeNode("J2EE without Enterprise Java Bean", "book");
        rod.getChildren().add(book);
        book =
            new TreeNode("Professional Java Development With The Spring Framework",
                                   "book");
        rod.getChildren().add(book);

        TreeNode jared =
            new TreeNode("Jared Diamond", "author");

        TreeNode orson =
            new TreeNode("Orson Scott Card", "author");
        book = new TreeNode("Enders Game", "book");
        orson.getChildren().add(book);
        book = new TreeNode("Xenocide", "book");
        orson.getChildren().add(book);
        book = new TreeNode("Shadow Puppets", "book");
        orson.getChildren().add(book);

        library.getChildren().add(ben);
        library.getChildren().add(rod);
        library.getChildren().add(jared);
        library.getChildren().add(orson);

        // create the list of root nodes:
        List nodes = new ArrayList();
        nodes.add(library);

        libraryTreeModel = new SpecialTreeModel(library, "children");
    }

    public TreeModel getLibraryTreeModel() {
        return libraryTreeModel;
    }   
}
